package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryCheckStock;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryCheckStockExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InventoryCheckStockMapper {
    
    int countByExample(InventoryCheckStockExample example);
    
    int deleteByExample(InventoryCheckStockExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryCheckStock record);
    
    int insertSelective(InventoryCheckStock record);
    
    List<InventoryCheckStock> selectByExample(InventoryCheckStockExample example);
    
    InventoryCheckStock selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryCheckStock record, @Param("example") InventoryCheckStockExample example);
    
    int updateByExample(@Param("record") InventoryCheckStock record, @Param("example") InventoryCheckStockExample example);
    
    int updateByPrimaryKeySelective(InventoryCheckStock record);
    
    int updateByPrimaryKey(InventoryCheckStock record);
    
    void batchInsert(@Param("items") List<InventoryCheckStock> items);
}